# class GxG::Networking::ZMQ::ZmqPuller

### Public Class Methods

new(params={}) click to toggle source

    # File lib/gxg/gxg_zmq.rb, line 173
    def initialize(params={})
      params = self.vetted_parameters(params)
      @connector = ::EZMQ::Puller.new(params[:mode], params[:options])
      @connector.socket.identity = ::Celluloid::UUID::random_generate.to_s
      @open = true
      self
    end